nn.pp.rccore

## Enum RCCore.KeyboardLed

- java.lang.Object
- - java.lang.Enum<RCCore.KeyboardLed>
  - - nn.pp.rccore.RCCore.KeyboardLed

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.KeyboardLed>
  Enclosing interface:
    RCCore

      public static enum RCCore.KeyboardLed
      extends java.lang.Enum<RCCore.KeyboardLed>

  Enumeration for Keyboard LED Status

  See Also:
    `RCCore.getKeyboardLedState()`, `KeyboardInfoListener.keyboardLedStateChanged(List)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LED_CAPSLOCK` The CAPS Lock LED
    `LED_COMPOSE` The Compose LED (Asian keyboards)
    `LED_KANA` The Kana LED (Asian keyboards)
    `LED_NUMLOCK` The NUM Lock LED
    `LED_SCROLLLOCK` The SCROLL Lock LED

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.KeyboardLed` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.KeyboardLed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LED_CAPSLOCK

          public static final RCCore.KeyboardLed LED_CAPSLOCK

      The CAPS Lock LED

    - #### LED_NUMLOCK

          public static final RCCore.KeyboardLed LED_NUMLOCK

      The NUM Lock LED

    - #### LED_SCROLLLOCK

          public static final RCCore.KeyboardLed LED_SCROLLLOCK

      The SCROLL Lock LED

    - #### LED_COMPOSE

          public static final RCCore.KeyboardLed LED_COMPOSE

      The Compose LED (Asian keyboards)

    - #### LED_KANA

          public static final RCCore.KeyboardLed LED_KANA

      The Kana LED (Asian keyboards)

  - ### Method Detail

    - #### values

          public static RCCore.KeyboardLed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.KeyboardLed c : RCCore.KeyboardLed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.KeyboardLed valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.